#include <bits/stdc++.h>
#define pb push_back
#define ll long long

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    cout.tie(NULL);
    ll n,br=0,k=0;cin>>n;vector<ll>vec(n),vec1(n),vec2(n),vec3;int niz[n],niz1[n],niz2[n],niz3[100000];
    for(ll i=0;i<n;i++){
        cin>>niz[i];
    }
    for(ll i=0;i<n;i++){
        cin>>niz1[i];
    }
        for(ll i=0;i<n;i++){
        cin>>niz2[i];
    }
    for(ll i=0;i<n;i++){
        for(ll j=0;j<n;j++){
            if(niz[i]==niz1[j]){
            niz3[k++]=j+1;
        }
        }

    }
    for(ll i=0;i<n;i++){
        for(ll j=0;j<k;j++){
            if(niz2[i]==niz3[j])br++;
           // cout<<vec3[j]<<endl;
        }
    }
    cout<<br;
    return 0;
}